[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Grids' (#lcl)

# TCustomDrawGrid.ColRowInserted

Performs actions needed when a column or row is inserted at the specified position in the grid control.

## Declaration

Source position: grids.pas line 1421

`protected procedure TCustomDrawGrid.ColRowInserted(`
`IsColumn: Boolean;`
`index: Integer`
`); override;`

## Arguments

`IsColumn` |  | True if a column is inserted in the method. False if a row is inserted.
`index` |  | Position where the new column or row is inserted in the control.

## Description

ColRowInserted is overridden in TCustomDrawGrid, and implements the method introduced in the ancestor class. It is used to perform actions needed when column or row values are inserted into the grid control.

IsColumn indicates whether a column or a row is inserted in the method. When set to True, a new column is inserted at the specified position. When set to False, a new row is inserted.

Inserting a column when the Columns property has not been enabled causes the InsertColRow method in the internal TVirtualGrid instance to be called.

The NotifyColRowChange method is called to signal the OnColRowInserted event handler (when assigned).

## See also

TCustomGrid.ColRowInserted |  | Performs actions needed when column or row data is inserted into the grid control.